Skip to content

BalancingService⁠

Perform balancing operations.

Operations⁠

resetCashValueBalances⁠

POST

Resets cash value balances.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

BalanceReportFlagbooleanrequired
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptional
POST/nexum/{sym}/2022.01/balancing/resetCashValueBalances
POST /nexum/627/2022.01/balancing/resetCashValueBalances HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "BalanceReportFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

resetDepositBalances⁠

POST

Resets deposit balances.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

BalanceReportFlagbooleanrequired
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptional
POST/nexum/{sym}/2022.01/balancing/resetDepositBalances
POST /nexum/627/2022.01/balancing/resetDepositBalances HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "BalanceReportFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

resetSecondPartyCheckBalances⁠

POST

Resets second-party check balances.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

BalanceReportFlagbooleanrequired
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptional
POST/nexum/{sym}/2022.01/balancing/resetSecondPartyCheckBalances
POST /nexum/627/2022.01/balancing/resetSecondPartyCheckBalances HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "BalanceReportFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

cashValueAdjust⁠

POST

Adjusts cash values.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

BalanceReportFlagbooleanoptional
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptional
POST/nexum/{sym}/2022.01/balancing/cashValueAdjust
POST /nexum/627/2022.01/balancing/cashValueAdjust HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CashValueAdjustInput": {},
  "BalanceReportFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

secondPartyCheckAdjust⁠

POST

Adjusts second-party checks.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

BalanceReportFlagbooleanoptional
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptional
POST/nexum/{sym}/2022.01/balancing/secondPartyCheckAdjust
POST /nexum/627/2022.01/balancing/secondPartyCheckAdjust HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SecondPartyCheckAdjust": {},
  "BalanceReportFlag": true,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

cashValueReport⁠

POST

Generates a report on cash values.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
StatusMessagestringoptional
POST/nexum/{sym}/2022.01/balancing/cashValueReport
POST /nexum/627/2022.01/balancing/cashValueReport HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}